<?php 
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
define('API_URL','http://appsmav.com/social/api/v1');

$config = JFactory::getConfig();
$user = JFactory::getUser();

$db = JFactory::getDbo();
$query = $db->getQuery(true);

$query
    ->select('*')
    ->from($db->quoteName('#__socialboost'))
    ->order('id DESC')
    ->setLimit('1');

$db->setQuery($query);
$results = $db->loadObjectList();

$registered = 0;

if(is_array($results) && count($results) > 0 && $results[0]->register == 1 ){
    $registered = 1;
}


  $query2 = $db->getQuery(true);
  $query2->update('#__extensions');
  $query2->set($db->quoteName('enabled') . ' = 1');
  $query2->where($db->quoteName('element') . ' = ' . $db->quote('SocialBoostWidget'));
  $query2->where($db->quoteName('type') . ' = ' . $db->quote('plugin'));
  $db->setQuery($query2);
  $db->execute();


  function insertPage($content, $record_id){
	   	
		$db = JFactory::getDbo();
        $query_page = $db->getQuery(true);
        $values_page = array('\'Rewards!\'','\''.JFilterOutput::stringURLSafe('Rewards').'\'', '\''.$db->escape($content).'\'','\'9\'','\''.JFactory::getDate()->toSQL().'\'','\'Super User\'','\'1\'','\'1\'','\'{"page_title":"","author":"","robots":""}\'','\'*\'');
        $query_page
            ->insert($db->quoteName('#__content'))
            ->columns('title,alias,introtext,catid,created,created_by_alias,state,access,metadata,language')
            ->values(implode(',', $values_page));

        $db->setQuery($query_page);
        $db->execute();
		
		$page_id = $db->insertid();

		
        $query_menu = $db->getQuery(true);
		$menu_content = '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_tags":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}';
        $values_menu = array('\'top\'', '\'REWARDS\'', '\'rewards\'', '\'\'', '\'rewards\'', '\'index.php?option=com_content&view=article&id='.$page_id.'\'', '\'component\'', '\'1\'', '\'1\'', '\'1\'', '\'22\'', '\'0\'', '\'0000-00-00 00:00:00\'', '\'0\'', '\'1\'', '\' \'', '\'0\'', '\''.$db->escape($menu_content).'\'', '\'10000\'', '\'0\'', '\'0\'', '\'*\'', '\'0\'');
		$query_menu
            ->insert($db->quoteName('#__menu'))
            ->columns('menutype, title, alias, note, path, link, type, published, parent_id, level, component_id, checked_out, checked_out_time, browserNav, access, img, template_style_id, params, lft, rgt, home, language, client_id')
            ->values(implode(',', $values_menu));

        $db->setQuery($query_menu);
        $db->execute();
		$menu_id = $db->insertid();
	    
		
		$query = $db->getQuery(true);
		// Fields to update.
		$fields = array(
			$db->quoteName('page') . ' = ' . $page_id ,
			$db->quoteName('menu') . ' = '. $menu_id
		);
		// Conditions for which records should be updated.
		$conditions = array(
			$db->quoteName('id') . ' = '.$record_id
		);
		$query->update($db->quoteName('#__socialboost'))->set($fields)->where($conditions);
		$db->setQuery($query);
		$result = $db->execute();

  }
  
  
  
  
function callSocialBoostRegisterApi($params)
{
    $param = array();
    $param['id_site'] = $params['id_site'];
    $param['client_id'] = $params['client_id'];
    $param['admin_email'] = $params['email'];
    $param['type'] = 'url';
    $param['plugin_type'] = 'sb_joomla';
    $config = JFactory::getConfig();
    $param['shop_url'] = ''.JURI::root();
    $param['shop_name'] = $config->get('sitename');

    //$param['campaign_name']			=	$p['socialboost_reg_campaign_name'];
    $param['timezone'] = 'America/Chicago';
    $param['date_format'] = 'm/d/Y';
    $param['campaign_only'] = 1;

    $url = API_URL . '/register';
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_HEADER, 0);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $param);
    $response = curl_exec($ch);
    curl_close($ch);
    $res = json_decode($response, true);

    if ($res['error'] == 0) {

        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $values = array('\''.$res['id_shop'].'\'','\''.$params['email'].'\'', '\''.$params['id_site'].'\'','\''. $res['pay_load'].'\'', 1,1);
        $query
            ->insert($db->quoteName('#__socialboost'))
            ->columns('shop_id,admin_email,appid,payload,register,page')
            ->values(implode(',', $values));

        $db->setQuery($query);
        $db->execute();
        $res['record_id'] = $db->insertid();
        $res['appid'] = $params['id_site'];

        $id_shop = $res['id_shop'];
        $admin_email = $params['email'];
        $payload = $res['pay_load'];

        $res['frame_url'] = 'https://appsmav.com/social/autologin?id_shop=' . $id_shop . '&admin_email=' . $admin_email . '&payload=' . $payload . '&type=plain';

    }
    return $res;
}


if ($registered == 1) {


    $res['frame_url'] = 'https://appsmav.com/social/autologin?id_shop=' .  $results[0]->shop_id  . '&admin_email=' .  $results[0]->admin_email  . '&payload=' . $results[0]->payload . '&type=plain';
    echo '<script src="https://appsmav.com/social/assets/js/iframeResizer.min.js" type="text/javascript"></script>';
    echo '<iframe src="'.$res['frame_url'].'" width="100%" height="900"  frameborder="0"  id="iframeMav"></iframe>';
	echo '<script>	jQuery("#iframeMav").iFrameResize({ checkOrigin : false}); </script>';

} else if (isset($_POST['socialboost'])) {

    $params["email"] = $user->email;;
    $params["action"] = "createaccount";
    $params["firstname"] = $_POST['firstname'];
    $params["lastname"] = $_POST['lastname'];
    $params["name"] = $_POST['firstname']. ' '.$_POST['lastname'];
    $params["companyname"] =  $config->get('sitename');;
    $params["address1"] = '***';
    $params["city"] = '***';
    $params["state"] = '***';
    $params["postcode"] = '1';
    $params["country"] = $_POST['country'];
    $params["currency"] = ($params["country"] === 'AU') ? 3 : 1;
    $params["phonenumber"] = '1234567890';
    $params["notes"] = 'Joomla';
    $params["app"] = 'grvlsw';	

    $url = 'http://appsmav.com/handle_curl.php';
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_HEADER, 0);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
    $res = curl_exec($ch);
    curl_close($ch);
    $resArr = json_decode($res, true);

    if (trim($resArr['result']) == 'success') {

        $param = array();
        $param['id_site'] = $resArr['service_id'];
        $param['client_id'] = $resArr['client_id'];
        $param['email'] = $params["email"];
        $res = callSocialBoostRegisterApi($param);
		$output = '';
        $output .= '<script src="https://appsmav.com/social/assets/js/iframeResizer.min.js" type="text/javascript"></script>';
        $output .= '<iframe src="'.$res['frame_url'].'" width="100%" height="900"  frameborder="0"  id="iframeMav"></iframe>';
		$output .= '<script>	jQuery("#iframeMav").iFrameResize({ checkOrigin : false}); </script>';
		$script = '';
		$script .= '<script src="https://appsmav.com/social/assets/js/iframeResizer.min.js" type="text/javascript"></script>';
        $script .= '<iframe src="https://appsmav.com/social/page/campaign/'.$param['id_site'].'?is_iframe=1" height="600" width="100%" scrolling="yes" frameBorder="0" id="iframeMav" > </iframe>';
		$script .= '<script>	jQuery("#iframeMav").iFrameResize({ checkOrigin : false}); </script>';
		$pagedetails = insertPage($script, $res['record_id']);
		echo $output;
       // die(json_encode($res));
    } else {
        $resArr['error'] = 1;
        die(json_encode($resArr));
    }


} else {
	

        $ip             =	$_SERVER['REMOTE_ADDR'];        
        $ipLocArr		=	json_decode(file_get_contents('http://www.geoplugin.net/json.gp?ip='.$ip),true);
        $countryCode 	=   (count($ipLocArr['geoplugin_countryCode']) < 1) ?  $ipLocArr['geoplugin_countryCode'] : 'IN';  
		$fullName = explode(' ',$user->name);
    ?>
    <script src="components/com_socialboost/assets/js/jquery.validity.js" type="text/javascript"></script>
    <link rel="stylesheet" type="text/css" href="components/com_socialboost/assets/css/jquery.validity.css"/>
    <div class="container">
        <div class="signUpHeader">
            Get Started with FREE FOREVER Installation in minutes & see your leads, referrals & sales grow
        </div>

        <div class="signUpFormWrap">
        <h3 style="text-align: center; text-decoration: underline; margin: 0; padding: 0;">Account Signup
            Details</h3>

        <p style="text-align: center; font-size: 15px; border-bottom: 2px solid #E0E0E0; padding-bottom: 5px;">
            The details below are for creation of your account and to provide you with support. These will not be
            displayed
            publicly</p>

        <style>.joomForm .form-group .form-control {height: 35px;margin-bottom: 0;box-sizing: border-box;}
			.joomForm {text-align: left;width: 80%;margin: 20px auto;font-size:0;max-width:810px;float:none;}
			.joomForm .form-group {width: 50%; display:inline-block;vertical-align: top;padding:0 5px;box-sizing: border-box;margin-bottom:20px;font-size: initial;}
			.joomForm .form-group.col-md-12 {width: 100%;}
			.joomForm .control-label {display:block; font-weight: bold;}
			.joomForm .btn.btn-primary {background: #1F75BD;}
			.joomForm .form-group .form-control {height: 35px;width: 100%; display:block; box-sizing: border-box;margin-bottom:0;}
			h3 + p {margin-top: 15px;}

            .signUpHeader {
                border-radius: 6px;
                background: #7ab45f;
                color: #fff;
                margin: 10px 0 20px;
                padding: 15px 20px;
                text-align: center;
                font-size: 18px;
            }

            .signUpFormWrap {
                background: #edf9e7;
                border-radius: 6px;
                padding: 30px 20px 10px;
            }
		</style>

        <form action="<?php echo '' . JURI::current() . '?option=com_socialboost'; ?>" id="signup" method="post" class="joomForm row col-md-8 col-md-offset-2">
			
			<div class="form-group col-md-6">
                <label for="firstname" class="control-label">First Name <span class="asterisk">*</span></label>
                <div>
                    <input type="text" name="firstname" maxlength="100" id="firstname" value="<?php echo isset($fullName[0]) ? $fullName[0] : '' ?>" class="form-control">
                </div>
            </div>
			<div class="form-group col-md-6">
                <label for="firstname" class="control-label">Last Name <span class="asterisk">*</span></label>
                <div>
                    <input type="text" name="lastname" maxlength="100" id="lastname" value="<?php echo isset($fullName[1]) ? $fullName[1] : '' ?>" class="form-control">
                </div>
            </div>
			
            <div class="form-group col-md-6">
                <label for="email" class="control-label">Email <span class="asterisk">*</span></label>
                <div>
                    <input type="text" name="useless" maxlength="100" id="useless" value="<?php echo $user->email; ?>" class="form-control" readonly="">
                    <input type="hidden" name="email" id="email" value="<?php echo $user->email; ?>" maxlength="250" class="form-control /">
                </div>
            </div>
            
         
            
            <div class="form-group col-md-6">
                <label for="country" class="control-label">Country <span class="asterisk">*</span></label>
                <div>
                     <select id="country" name="country" class="form-control">
                                <option value="AF">Afghanistan</option>
                                <option value="AX">Aland Islands</option>
                                <option value="AL">Albania</option>
                                <option value="DZ">Algeria</option>
                                <option value="AS">American Samoa</option>
                                <option value="AD">Andorra</option>
                                <option value="AO">Angola</option>
                                <option value="AI">Anguilla</option>
                                <option value="AQ">Antarctica</option>
                                <option value="AG">Antigua And Barbuda</option>
                                <option value="AR">Argentina</option>
                                <option value="AM">Armenia</option>
                                <option value="AW">Aruba</option>
                                <option selected="selected" value="AU">Australia</option>
                                <option value="AT">Austria</option>
                                <option value="AZ">Azerbaijan</option>
                                <option value="BS">Bahamas</option>
                                <option value="BH">Bahrain</option>
                                <option value="BD">Bangladesh</option>
                                <option value="BB">Barbados</option>
                                <option value="BY">Belarus</option>
                                <option value="BE">Belgium</option>
                                <option value="BZ">Belize</option>
                                <option value="BJ">Benin</option>
                                <option value="BM">Bermuda</option>
                                <option value="BT">Bhutan</option>
                                <option value="BO">Bolivia</option>
                                <option value="BA">Bosnia And Herzegovina</option>
                                <option value="BW">Botswana</option>
                                <option value="BV">Bouvet Island</option>
                                <option value="BR">Brazil</option>
                                <option value="IO">British Indian Ocean Territory</option>
                                <option value="BN">Brunei Darussalam</option>
                                <option value="BG">Bulgaria</option>
                                <option value="BF">Burkina Faso</option>
                                <option value="BI">Burundi</option>
                                <option value="KH">Cambodia</option>
                                <option value="CM">Cameroon</option>
                                <option value="CA">Canada</option>
                                <option value="CV">Cape Verde</option>
                                <option value="KY">Cayman Islands</option>
                                <option value="CF">Central African Republic</option>
                                <option value="TD">Chad</option>
                                <option value="CL">Chile</option>
                                <option value="CN">China</option>
                                <option value="CX">Christmas Island</option>
                                <option value="CC">Cocos (Keeling) Islands</option>
                                <option value="CO">Colombia</option>
                                <option value="KM">Comoros</option>
                                <option value="CG">Congo</option>
                                <option value="CD">Congo, Democratic Republic</option>
                                <option value="CK">Cook Islands</option>
                                <option value="CR">Costa Rica</option>
                                <option value="CI">Cote D'Ivoire</option>
                                <option value="HR">Croatia</option>
                                <option value="CU">Cuba</option>
                                <option value="CW">Curacao</option>
                                <option value="CY">Cyprus</option>
                                <option value="CZ">Czech Republic</option>
                                <option value="DK">Denmark</option>
                                <option value="DJ">Djibouti</option>
                                <option value="DM">Dominica</option>
                                <option value="DO">Dominican Republic</option>
                                <option value="EC">Ecuador</option>
                                <option value="EG">Egypt</option>
                                <option value="SV">El Salvador</option>
                                <option value="GQ">Equatorial Guinea</option>
                                <option value="ER">Eritrea</option>
                                <option value="EE">Estonia</option>
                                <option value="ET">Ethiopia</option>
                                <option value="FK">Falkland Islands (Malvinas)</option>
                                <option value="FO">Faroe Islands</option>
                                <option value="FJ">Fiji</option>
                                <option value="FI">Finland</option>
                                <option value="FR">France</option>
                                <option value="GF">French Guiana</option>
                                <option value="PF">French Polynesia</option>
                                <option value="TF">French Southern Territories</option>
                                <option value="GA">Gabon</option>
                                <option value="GM">Gambia</option>
                                <option value="GE">Georgia</option>
                                <option value="DE">Germany</option>
                                <option value="GH">Ghana</option>
                                <option value="GI">Gibraltar</option>
                                <option value="GR">Greece</option>
                                <option value="GL">Greenland</option>
                                <option value="GD">Grenada</option>
                                <option value="GP">Guadeloupe</option>
                                <option value="GU">Guam</option>
                                <option value="GT">Guatemala</option>
                                <option value="GG">Guernsey</option>
                                <option value="GN">Guinea</option>
                                <option value="GW">Guinea-Bissau</option>
                                <option value="GY">Guyana</option>
                                <option value="HT">Haiti</option>
                                <option value="HM">Heard Island &amp; Mcdonald Islands</option>
                                <option value="VA">Holy See (Vatican City State)</option>
                                <option value="HN">Honduras</option>
                                <option value="HK">Hong Kong</option>
                                <option value="HU">Hungary</option>
                                <option value="IS">Iceland</option>
                                <option value="IN">India</option>
                                <option value="ID">Indonesia</option>
                                <option value="IR">Iran, Islamic Republic Of</option>
                                <option value="IQ">Iraq</option>
                                <option value="IE">Ireland</option>
                                <option value="IM">Isle Of Man</option>
                                <option value="IL">Israel</option>
                                <option value="IT">Italy</option>
                                <option value="JM">Jamaica</option>
                                <option value="JP">Japan</option>
                                <option value="JE">Jersey</option>
                                <option value="JO">Jordan</option>
                                <option value="KZ">Kazakhstan</option>
                                <option value="KE">Kenya</option>
                                <option value="KI">Kiribati</option>
                                <option value="KR">Korea</option>
                                <option value="KW">Kuwait</option>
                                <option value="KG">Kyrgyzstan</option>
                                <option value="LA">Lao People's Democratic Republic</option>
                                <option value="LV">Latvia</option>
                                <option value="LB">Lebanon</option>
                                <option value="LS">Lesotho</option>
                                <option value="LR">Liberia</option>
                                <option value="LY">Libyan Arab Jamahiriya</option>
                                <option value="LI">Liechtenstein</option>
                                <option value="LT">Lithuania</option>
                                <option value="LU">Luxembourg</option>
                                <option value="MO">Macao</option>
                                <option value="MK">Macedonia</option>
                                <option value="MG">Madagascar</option>
                                <option value="MW">Malawi</option>
                                <option value="MY">Malaysia</option>
                                <option value="MV">Maldives</option>
                                <option value="ML">Mali</option>
                                <option value="MT">Malta</option>
                                <option value="MH">Marshall Islands</option>
                                <option value="MQ">Martinique</option>
                                <option value="MR">Mauritania</option>
                                <option value="MU">Mauritius</option>
                                <option value="YT">Mayotte</option>
                                <option value="MX">Mexico</option>
                                <option value="FM">Micronesia, Federated States Of</option>
                                <option value="MD">Moldova</option>
                                <option value="MC">Monaco</option>
                                <option value="MN">Mongolia</option>
                                <option value="ME">Montenegro</option>
                                <option value="MS">Montserrat</option>
                                <option value="MA">Morocco</option>
                                <option value="MZ">Mozambique</option>
                                <option value="MM">Myanmar</option>
                                <option value="NA">Namibia</option>
                                <option value="NR">Nauru</option>
                                <option value="NP">Nepal</option>
                                <option value="NL">Netherlands</option>
                                <option value="AN">Netherlands Antilles</option>
                                <option value="NC">New Caledonia</option>
                                <option value="NZ">New Zealand</option>
                                <option value="NI">Nicaragua</option>
                                <option value="NE">Niger</option>
                                <option value="NG">Nigeria</option>
                                <option value="NU">Niue</option>
                                <option value="NF">Norfolk Island</option>
                                <option value="MP">Northern Mariana Islands</option>
                                <option value="NO">Norway</option>
                                <option value="OM">Oman</option>
                                <option value="PK">Pakistan</option>
                                <option value="PW">Palau</option>
                                <option value="PS">Palestine, State of</option>
                                <option value="PA">Panama</option>
                                <option value="PG">Papua New Guinea</option>
                                <option value="PY">Paraguay</option>
                                <option value="PE">Peru</option>
                                <option value="PH">Philippines</option>
                                <option value="PN">Pitcairn</option>
                                <option value="PL">Poland</option>
                                <option value="PT">Portugal</option>
                                <option value="PR">Puerto Rico</option>
                                <option value="QA">Qatar</option>
                                <option value="RE">Reunion</option>
                                <option value="RO">Romania</option>
                                <option value="RU">Russian Federation</option>
                                <option value="RW">Rwanda</option>
                                <option value="BL">Saint Barthelemy</option>
                                <option value="SH">Saint Helena</option>
                                <option value="KN">Saint Kitts And Nevis</option>
                                <option value="LC">Saint Lucia</option>
                                <option value="MF">Saint Martin</option>
                                <option value="PM">Saint Pierre And Miquelon</option>
                                <option value="VC">Saint Vincent And Grenadines</option>
                                <option value="WS">Samoa</option>
                                <option value="SM">San Marino</option>
                                <option value="ST">Sao Tome And Principe</option>
                                <option value="SA">Saudi Arabia</option>
                                <option value="SN">Senegal</option>
                                <option value="RS">Serbia</option>
                                <option value="SC">Seychelles</option>
                                <option value="SL">Sierra Leone</option>
                                <option value="SG">Singapore</option>
                                <option value="SK">Slovakia</option>
                                <option value="SI">Slovenia</option>
                                <option value="SB">Solomon Islands</option>
                                <option value="SO">Somalia</option>
                                <option value="ZA">South Africa</option>
                                <option value="GS">South Georgia And Sandwich Isl.</option>
                                <option value="ES">Spain</option>
                                <option value="LK">Sri Lanka</option>
                                <option value="SD">Sudan</option>
                                <option value="SR">Suriname</option>
                                <option value="SJ">Svalbard And Jan Mayen</option>
                                <option value="SZ">Swaziland</option>
                                <option value="SE">Sweden</option>
                                <option value="CH">Switzerland</option>
                                <option value="SY">Syrian Arab Republic</option>
                                <option value="TW">Taiwan</option>
                                <option value="TJ">Tajikistan</option>
                                <option value="TZ">Tanzania</option>
                                <option value="TH">Thailand</option>
                                <option value="TL">Timor-Leste</option>
                                <option value="TG">Togo</option>
                                <option value="TK">Tokelau</option>
                                <option value="TO">Tonga</option>
                                <option value="TT">Trinidad And Tobago</option>
                                <option value="TN">Tunisia</option>
                                <option value="TR">Turkey</option>
                                <option value="TM">Turkmenistan</option>
                                <option value="TC">Turks And Caicos Islands</option>
                                <option value="TV">Tuvalu</option>
                                <option value="UG">Uganda</option>
                                <option value="UA">Ukraine</option>
                                <option value="AE">United Arab Emirates</option>
                                <option value="GB">United Kingdom</option>
                                <option value="US">United States</option>
                                <option value="UM">United States Outlying Islands</option>
                                <option value="UY">Uruguay</option>
                                <option value="UZ">Uzbekistan</option>
                                <option value="VU">Vanuatu</option>
                                <option value="VE">Venezuela</option>
                                <option value="VN">Viet Nam</option>
                                <option value="VG">Virgin Islands, British</option>
                                <option value="VI">Virgin Islands, U.S.</option>
                                <option value="WF">Wallis And Futuna</option>
                                <option value="EH">Western Sahara</option>
                                <option value="YE">Yemen</option>
                                <option value="ZM">Zambia</option>
                                <option value="ZW">Zimbabwe</option>
                            </select>
                </div>
            </div>
			
			<script> document.getElementById('country').value='<?php echo $countryCode;?>';  </script>
           
            <div class="form-group col-md-12" align="center">
                <button type="submit" name="socialboost" class="btn btn-success btn-large" style="margin-top: 10px;">Submit</button>
            </div>
        </form>
    </div>


<footer class="footText col-md-12" style="background-color: #fff;border-radius: 10px;padding: 5px;">
    <div class="pull-left">
        <a href="http://appsmav.com/social-boost.php" class="gratifiLogo" target="_blank" style="font-size: 18px;margin: 30px 10px;display: inline-block;">Social Boost</a>
    </div>
    <div class="pull-right">
        <a href="http://appsmav.com" target="_blank">
            <img src="https://appsmav.com/gr/assets/img/bg_logo_foot.jpg">
        </a>
    </div>
</footer>
    </div>
	
	
<script>


    jQuery(function ($) {
        jQuery("#signup").validity(function () {
            jQuery("#firstname").require();
            jQuery("#lastname").require();
        });
    });


</script>


    <?php
}

?>